=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2009-11-11 19:21:41 +0000
+++ drizzled/sql_yacc.yy	2009-11-13 00:56:59 +0000
@@ -1017,7 +1017,6 @@
         opt_limit_clause delete_limit_clause fields opt_values values
         opt_precision opt_ignore opt_column
         set unlock string_list
-        opt_binary
         ref_list opt_match_clause opt_on_update_delete use
         opt_delete_options opt_delete_option varchar
         opt_outer table_list table_name
@@ -1568,17 +1567,17 @@
           Lex->length=(char*) 0; /* use default length */
         }
         | real_type opt_precision { $$=$1; }
-        | char '(' NUM ')' opt_binary
+        | char '(' NUM ')'
           {
             Lex->length=$3.str;
             $$=DRIZZLE_TYPE_VARCHAR;
           }
-        | char opt_binary
+        | char
           {
             Lex->length=(char*) "1";
             $$=DRIZZLE_TYPE_VARCHAR;
           }
-        | varchar '(' NUM ')' opt_binary
+        | varchar '(' NUM ')'
           {
             Lex->length=$3.str;
             $$= DRIZZLE_TYPE_VARCHAR;
@@ -1601,7 +1600,7 @@
             $$=DRIZZLE_TYPE_BLOB;
             Lex->length=(char*) 0; /* use default length */
           }
-        | TEXT_SYM opt_binary
+        | TEXT_SYM
           { 
             $$=DRIZZLE_TYPE_BLOB; 
             Lex->length=(char*) 0; /* use default length */
@@ -1782,12 +1781,6 @@
         | DEFAULT {}
         ;
 
-opt_binary:
-          /* empty */ { Lex->charset=NULL; }
-        | BYTE_SYM { Lex->charset=&my_charset_bin; }
-        | BINARY { Lex->type|= BINCMP_FLAG; }
-        ;
-
 ws_nweights:
         '(' real_ulong_num
         {
@@ -3401,7 +3394,7 @@
 cast_type:
           BINARY opt_len
           { $$=ITEM_CAST_CHAR; Lex->charset= &my_charset_bin; Lex->dec= 0; }
-        | CHAR_SYM opt_len opt_binary
+        | CHAR_SYM opt_len
           { $$=ITEM_CAST_CHAR; Lex->dec= 0; }
         | DATE_SYM
           { $$=ITEM_CAST_DATE; Lex->charset= NULL; Lex->dec=Lex->length= (char*)0; }

=== modified file 'tests/include/mix2.inc'
--- tests/include/mix2.inc	2009-08-17 04:43:24 +0000
+++ tests/include/mix2.inc	2009-11-13 00:56:59 +0000
@@ -381,9 +381,9 @@
 
 eval create $temp table t1 (
   id int NOT NULL auto_increment,
-  ggid varchar(32) binary DEFAULT '' NOT NULL,
+  ggid varchar(32) DEFAULT '' NOT NULL,
   email varchar(64) DEFAULT '' NOT NULL,
-  passwd varchar(32) binary DEFAULT '' NOT NULL,
+  passwd varchar(32) DEFAULT '' NOT NULL,
   PRIMARY KEY (id),
   UNIQUE ggid (ggid)
 ) ENGINE=$engine_type;
@@ -1730,8 +1730,8 @@
 
 eval create $temp table t1 (s1 varbinary(2),primary key (s1)) engine=$engine_type;
 eval create $temp table t2 (s1 binary(2),primary key (s1)) engine=$engine_type;
-eval create $temp table t3 (s1 varchar(2) binary,primary key (s1)) engine=$engine_type;
-eval create $temp table t4 (s1 char(2) binary,primary key (s1)) engine=$engine_type;
+eval create $temp table t3 (s1 varchar(2),primary key (s1)) engine=$engine_type;
+eval create $temp table t4 (s1 char(2),primary key (s1)) engine=$engine_type;
 
 insert into t1 values (0x41),(0x4120),(0x4100);
 -- error ER_DUP_ENTRY
@@ -1786,8 +1786,8 @@
 
 drop table t2,t1;
 
-eval create $temp table t1 (a int primary key,s1 varchar(2) binary not null unique) engine=$engine_type;
-eval create $temp table t2 (s1 char(2) binary not null, constraint c foreign key(s1) references t1(s1) on update cascade) engine=$engine_type;
+eval create $temp table t1 (a int primary key,s1 varchar(2) not null unique) engine=$engine_type;
+eval create $temp table t2 (s1 char(2) not null, constraint c foreign key(s1) references t1(s1) on update cascade) engine=$engine_type;
 
 insert into t1 values(1,0x4100),(2,0x41);
 insert into t2 values(0x41);

=== modified file 'tests/r/alter_table.result'
--- tests/r/alter_table.result	2009-06-16 00:53:22 +0000
+++ tests/r/alter_table.result	2009-11-13 00:56:59 +0000
@@ -300,8 +300,8 @@
 t1	1	b	1	b	A	300	NULL	NULL	YES	BTREE		
 drop table t1;
 CREATE TEMPORARY TABLE t1 (
-Host varchar(16) binary NOT NULL default '',
-User varchar(16) binary NOT NULL default '',
+Host varchar(16) NOT NULL default '',
+User varchar(16) NOT NULL default '',
 PRIMARY KEY  (Host,User),
 KEY  (Host)
 ) ENGINE=MyISAM;
@@ -761,12 +761,12 @@
 create TEMPORARY table t1 (t varchar(255) default null, key t (t(80))) engine=myisam;
 alter table t1 change t t text;
 drop table t1;
-CREATE TABLE t1 (s CHAR(8) BINARY);
+CREATE TABLE t1 (s CHAR(8));
 INSERT INTO t1 VALUES ('test');
 SELECT LENGTH(s) FROM t1;
 LENGTH(s)
 4
-ALTER TABLE t1 MODIFY s CHAR(10) BINARY;
+ALTER TABLE t1 MODIFY s CHAR(10);
 SELECT LENGTH(s) FROM t1;
 LENGTH(s)
 4

=== modified file 'tests/r/binary.result'
--- tests/r/binary.result	2009-03-25 09:18:25 +0000
+++ tests/r/binary.result	2009-11-13 00:56:59 +0000
@@ -1,5 +1,5 @@
 drop table if exists t1,t2;
-create table t1 (a char(10) not null, b char(10) binary not null,key (a), key(b));
+create table t1 (a char(10) not null, b char(10) not null,key (a), key(b));
 insert into t1 values ("hello ","hello "),("hello2 ","hello2 ");
 select concat("-",a,"-",b,"-") from t1 where a="hello";
 concat("-",a,"-",b,"-")
@@ -41,7 +41,7 @@
 select b from t1 having binary b like '';
 b
 drop table t1;
-create table t1 (a char(3) binary, b varbinary(3));
+create table t1 (a char(3), b varbinary(3));
 insert into t1 values ('aaa','bbb'),('AAA','BBB');
 select upper(a),upper(b) from t1;
 upper(a)	upper(b)
@@ -67,7 +67,7 @@
 aaa	bbb
 select collation(a), collation(b), collation(binary 'ccc') from t1 limit 1;
 collation(a)	collation(b)	collation(binary 'ccc')
-utf8_bin	binary	binary
+utf8_general_ci	binary	binary
 drop table t1;
 create table t1( firstname char(20), lastname char(20));
 insert into t1 values ("john","doe"),("John","Doe");

=== modified file 'tests/r/cast.result'
--- tests/r/cast.result	2009-02-21 16:00:06 +0000
+++ tests/r/cast.result	2009-11-13 00:56:59 +0000
@@ -1,6 +1,6 @@
 select cast("A" as binary) = "a", cast(BINARY "a" as CHAR) = "A";
 cast("A" as binary) = "a"	cast(BINARY "a" as CHAR) = "A"
-0	1
+0	0
 select cast("2001-1-1" as DATE), cast("2001-1-1" as DATETIME);
 cast("2001-1-1" as DATE)	cast("2001-1-1" as DATETIME)
 2001-01-01	2001-01-01 00:00:00
@@ -146,15 +146,9 @@
 select cast(NULL as decimal(6)) as t1;
 t1
 NULL
-select hex(cast('a' as char(2) binary));
-hex(cast('a' as char(2) binary))
-61
 select hex(cast('a' as binary(2)));
 hex(cast('a' as binary(2)))
 6100
-select hex(cast('a' as char(2) binary));
-hex(cast('a' as char(2) binary))
-6100
 CREATE TABLE t1 (f1 DATE);
 INSERT INTO t1 VALUES ('2007-07-19'), (NULL);
 SELECT HOUR(f1),

=== modified file 'tests/r/ctype_utf8.result'
--- tests/r/ctype_utf8.result	2009-07-31 23:20:14 +0000
+++ tests/r/ctype_utf8.result	2009-11-13 00:56:59 +0000
@@ -395,7 +395,7 @@
 str
 str
 drop table t1;
-CREATE TABLE t1 (a varchar(32) BINARY);
+CREATE TABLE t1 (a varchar(32));
 INSERT INTO t1 VALUES ('test');
 SELECT a FROM t1 WHERE a LIKE '%te';
 a

=== modified file 'tests/r/delete.result'
--- tests/r/delete.result	2009-08-03 23:01:21 +0000
+++ tests/r/delete.result	2009-11-13 00:56:59 +0000
@@ -52,7 +52,7 @@
 drop table t1;
 CREATE TEMPORARY TABLE t1 (
 bool     char(0) default NULL,
-not_null varchar(20) binary NOT NULL default '',
+not_null varchar(20) NOT NULL default '',
 misc     integer not null,
 PRIMARY KEY  (not_null)
 ) ENGINE=MyISAM;

=== modified file 'tests/r/endspace.result'
--- tests/r/endspace.result	2009-08-17 06:21:44 +0000
+++ tests/r/endspace.result	2009-11-13 00:56:59 +0000
@@ -45,7 +45,7 @@
 explain select * from t1 order by text1;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	index	NULL	key1	130	NULL	3	Using index
-alter table t1 modify text1 char(32) binary not null;
+alter table t1 modify text1 char(32) not null;
 check table t1;
 Table	Op	Msg_type	Msg_text
 test.t1	check	status	OK
@@ -66,11 +66,11 @@
 nothing	7
 teststring		11
 teststring	10
-select text1, length(text1) from t1 order by binary text1;
+select text1, length(text1) from t1 order by text1;
 text1	length(text1)
 nothing	7
+teststring		11
 teststring	10
-teststring		11
 alter table t1 modify text1 blob not null, drop key key1, add key key1 (text1(20));
 insert into t1 values ('teststring ');
 select concat('|', text1, '|') from t1 order by text1;
@@ -155,7 +155,7 @@
 explain select * from t1 order by text1;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	NULL	NULL	NULL	NULL	3	Using filesort
-alter table t1 modify text1 char(32) binary not null;
+alter table t1 modify text1 char(32) not null;
 select * from t1 order by text1;
 text1
 nothing
@@ -182,7 +182,7 @@
 explain select * from t1 order by text1;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	index	NULL	key1	130	NULL	3	Using index
-alter table t1 modify text1 char(32) binary not null;
+alter table t1 modify text1 char(32) not null;
 select * from t1 order by text1;
 text1
 nothing

=== modified file 'tests/r/func_test.result'
--- tests/r/func_test.result	2009-06-16 00:53:22 +0000
+++ tests/r/func_test.result	2009-11-13 00:56:59 +0000
@@ -67,9 +67,9 @@
 select 1 and 0 or 2, 2 or 1 and 0;
 1 and 0 or 2	2 or 1 and 0
 1	1
-CREATE TABLE t1 (   faq_group_id int NOT NULL default '0',   faq_id int NOT NULL default '0',   title varchar(240) default NULL,   keywords text,   description longblob,   solution longblob,   status int NOT NULL default '0',   access_id int default NULL,   lang_id int NOT NULL default '0',   created datetime NULL,   updated datetime default NULL,   last_access datetime default NULL,   last_notify datetime default NULL,   solved_count int NOT NULL default '0',   static_solved int default NULL,   solved_1 int default NULL,   solved_2 int default NULL,   solved_3 int default NULL,   solved_4 int default NULL,   solved_5 int default NULL,   expires datetime default NULL,   notes text,   assigned_to int default NULL,   assigned_group int default NULL,   last_edited_by int default NULL,   orig_ref_no varchar(15) binary default NULL,   c$fundstate int default NULL,   c$contributor int default NULL,   UNIQUE KEY t1$faq_id (faq_id),   KEY t1$group_id$faq_id (faq_group_id,faq_id),   KEY t1$c$fundstate (c$fundstate) );
+CREATE TABLE t1 (   faq_group_id int NOT NULL default '0',   faq_id int NOT NULL default '0',   title varchar(240) default NULL,   keywords text,   description longblob,   solution longblob,   status int NOT NULL default '0',   access_id int default NULL,   lang_id int NOT NULL default '0',   created datetime NULL,   updated datetime default NULL,   last_access datetime default NULL,   last_notify datetime default NULL,   solved_count int NOT NULL default '0',   static_solved int default NULL,   solved_1 int default NULL,   solved_2 int default NULL,   solved_3 int default NULL,   solved_4 int default NULL,   solved_5 int default NULL,   expires datetime default NULL,   notes text,   assigned_to int default NULL,   assigned_group int default NULL,   last_edited_by int default NULL,   orig_ref_no varchar(15) default NULL,   c$fundstate int default NULL,   c$contributor int default NULL,   UNIQUE KEY t1$faq_id (faq_id),   KEY t1$group_id$faq_id (faq_group_id,faq_id),   KEY t1$c$fundstate (c$fundstate) );
 INSERT INTO t1 VALUES (82,82,'How to use the DynaVox Usage Counts Feature','usages count, number, corner, white, box, button','<as-html>\r\n<table width=\"100%\" border=\"0\">\r\n  <tr>\r\n    <td width=\"3%\"></td>\r\n    <td width=\"97%\">\r\n       <h3><font face=\"Verdana, Arial, Helvetica, sans-serif\" color=\"#000000\">How \r\n        To</font><!-- #BeginEditable \"CS_troubleshoot_question\" --><font face=\"Verdana, Arial, Helvetica, sans-serif\" color=\"#000099\"><font color=\"#000000\">: \r\n        Display or Hide the Usage Counts to find out how many times each button is being selected. </font></font><!-- #EndEditable --></h3>\r\n    </td>\r\n  </tr>\r\n</table>','<as-html>\r\n <table width=\"100%\" border=\"0\">\r\n  <tr>\r\n    <td width=\"3%\"></td>\r\n    \r\n<td width=\"97%\"><!-- #BeginEditable \"CS_troubleshoot_answer\" --> \r\n      \r\n<p><font color=\"#000000\" face=\"Verdana, Arial, Helvetica, sans-serif\">1. Select \r\n  the <i>On/Setup</i> button to access the DynaVox Setup Menu.<br>\r\n  2. Select <b>Button Features.</b><br>\r\n  3. Below the <b>OK</b> button is the <b>Usage Counts</b> button.<br>\r\n  a. If it says \"Hidden\" then the Usage Counts will not be displayed.<br>\r\n  b. If it says \"Displayed\" then the Usage Counts will be shown.<br>\r\n        c. Select the <b>Usage Counts</b> Option Ring once and it will toggle \r\n        to the alternative option.<br>\r\n  4. Once the correct setting has been chosen, select <b>OK</b> to leave the <i>Button \r\n  Features</i> menu.<br>\r\n  5. Select <b>OK</b> out of the <i>Setup</i> menu and return to the communication \r\n  page.</font></p>\r\n      <p><font color=\"#000000\" face=\"Verdana, Arial, Helvetica, sans-serif\">For \r\n        further information on <i>Usage Counts,</i> see the <i>Button Features \r\n        Menu Entry</i> in the DynaVox/DynaMyte Reference Manual.</font></p>\r\n<!-- #EndEditable --></td>\r\n  </tr>\r\n</table>',4,1,1,'2001-11-16 16:43:34','2002-11-25 12:09:43','2003-07-24 01:04:48',NULL,11,NULL,0,0,0,0,0,NULL,NULL,NULL,NULL,11,NULL,NULL,NULL);
-CREATE TABLE t2 (  access_id int NOT NULL default '0',   name varchar(20) binary default NULL,   rank int NOT NULL default '0',   KEY t2$access_id (access_id) );
+CREATE TABLE t2 (  access_id int NOT NULL default '0',   name varchar(20) default NULL,   rank int NOT NULL default '0',   KEY t2$access_id (access_id) );
 INSERT INTO t2 VALUES (1,'Everyone',2),(2,'Help',3),(3,'Customer Support',1);
 SELECT f_acc.rank, a1.rank, a2.rank  FROM t1 LEFT JOIN t1 f1 ON  (f1.access_id=1 AND f1.faq_group_id = t1.faq_group_id) LEFT JOIN t2 a1 ON (a1.access_id =  f1.access_id) LEFT JOIN t1 f2 ON (f2.access_id=3 AND  f2.faq_group_id = t1.faq_group_id) LEFT  JOIN t2 a2 ON (a2.access_id = f2.access_id), t2 f_acc WHERE LEAST(a1.rank,a2.rank) =  f_acc.rank;
 rank	rank	rank

=== modified file 'tests/r/group_by.result'
--- tests/r/group_by.result	2009-06-16 00:44:55 +0000
+++ tests/r/group_by.result	2009-11-13 00:56:59 +0000
@@ -68,7 +68,7 @@
 operator int,
 method enum('unknown','cash','dealer','check','card','lazy','delayed','test') DEFAULT 'unknown' NOT NULL,
 DIID int,
-reason char(1) binary DEFAULT '' NOT NULL,
+reason char(1) DEFAULT '' NOT NULL,
 code_id int,
 qty int DEFAULT '0' NOT NULL,
 PRIMARY KEY (PID),
@@ -205,72 +205,56 @@
 NULL	3
 A	5
 B	5
-SELECT a FROM t1 GROUP BY binary a;
-a
-NULL
-A
-B
-a
-b
-SELECT a,count(*) FROM t1 GROUP BY binary a;
-a	count(*)
-NULL	3
-A	4
-B	4
-a	1
-b	1
-SELECT binary a FROM t1 GROUP BY 1;
-binary a 
-NULL
-A
-B
-a
-b
-SELECT binary a,count(*) FROM t1 GROUP BY 1;
-binary a	count(*)
-NULL	3
-A	4
-B	4
-a	1
-b	1
-SELECT a FROM t1 GROUP BY a;
-a
-NULL
-A
-B
-SELECT a,count(*) FROM t1 GROUP BY a;
-a	count(*)
-NULL	3
-A	5
-B	5
-SELECT a FROM t1 GROUP BY binary a;
-a
-NULL
-A
-B
-a
-b
-SELECT a,count(*) FROM t1 GROUP BY binary a;
-a	count(*)
-NULL	3
-A	4
-B	4
-a	1
-b	1
-SELECT binary a FROM t1 GROUP BY 1;
-binary a 
-NULL
-A
-B
-a
-b
-SELECT binary a,count(*) FROM t1 GROUP BY 1;
-binary a	count(*)
-NULL	3
-A	4
-B	4
-a	1
-b	1
+SELECT a FROM t1 GROUP BY a;
+a
+NULL
+A
+B
+SELECT a,count(*) FROM t1 GROUP BY a;
+a	count(*)
+NULL	3
+A	5
+B	5
+SELECT a FROM t1 GROUP BY 1;
+a
+NULL
+A
+B
+SELECT a,count(*) FROM t1 GROUP BY 1;
+a	count(*)
+NULL	3
+A	5
+B	5
+SELECT a FROM t1 GROUP BY a;
+a
+NULL
+A
+B
+SELECT a,count(*) FROM t1 GROUP BY a;
+a	count(*)
+NULL	3
+A	5
+B	5
+SELECT a FROM t1 GROUP BY a;
+a
+NULL
+A
+B
+SELECT a,count(*) FROM t1 GROUP BY a;
+a	count(*)
+NULL	3
+A	5
+B	5
+SELECT a FROM t1 GROUP BY 1;
+a
+NULL
+A
+B
+SELECT a,count(*) FROM t1 GROUP BY 1;
+a	count(*)
+NULL	3
+A	5
+B	5
 drop table t1;
 CREATE TABLE t1 (
 `a` char(193) default NULL,

=== modified file 'tests/r/innodb.result'
--- tests/r/innodb.result	2009-10-13 06:36:19 +0000
+++ tests/r/innodb.result	2009-11-13 00:56:59 +0000
@@ -2367,8 +2367,8 @@
 key (a,b,c,d,e)) engine=innodb;
 ERROR 42000: Specified key was too long; max key length is 3500 bytes
 create table t1 (s1 varbinary(2),primary key (s1)) engine=innodb;
-create table t3 (s1 varchar(2) binary,primary key (s1)) engine=innodb;
-create table t4 (s1 char(2) binary,primary key (s1)) engine=innodb;
+create table t3 (s1 varchar(2) ,primary key (s1)) engine=innodb;
+create table t4 (s1 char(2) ,primary key (s1)) engine=innodb;
 insert into t1 values (0x41),(0x4120),(0x4100);
 insert into t3 values (0x41),(0x4120),(0x4100);
 ERROR 23000: Duplicate entry 'A ' for key 'PRIMARY'
@@ -2437,8 +2437,8 @@
 4120
 4120
 drop table t2,t1;
-create table t1 (a int primary key,s1 varchar(2) binary not null unique) engine=innodb;
-create table t2 (s1 char(2) binary not null, constraint c foreign key(s1) references t1(s1) on update cascade) engine=innodb;
+create table t1 (a int primary key,s1 varchar(2) not null unique) engine=innodb;
+create table t2 (s1 char(2) not null, constraint c foreign key(s1) references t1(s1) on update cascade) engine=innodb;
 insert into t1 values(1,0x4100),(2,0x41);
 insert into t2 values(0x41);
 select hex(s1) from t2;

=== modified file 'tests/r/innodb_autoinc_lock_mode_zero.result'
--- tests/r/innodb_autoinc_lock_mode_zero.result	2008-12-06 22:41:03 +0000
+++ tests/r/innodb_autoinc_lock_mode_zero.result	2009-11-13 00:56:59 +0000
@@ -1,9 +1,9 @@
 drop table if exists t1;
 CREATE TABLE t1 (
 id int NOT NULL auto_increment,
-ggid varchar(32) binary DEFAULT '' NOT NULL,
+ggid varchar(32) DEFAULT '' NOT NULL,
 email varchar(64) DEFAULT '' NOT NULL,
-passwd varchar(32) binary DEFAULT '' NOT NULL,
+passwd varchar(32) DEFAULT '' NOT NULL,
 PRIMARY KEY (id),
 UNIQUE ggid (ggid)
 ) ENGINE=innodb;

=== modified file 'tests/r/key.result'
--- tests/r/key.result	2009-06-16 03:57:56 +0000
+++ tests/r/key.result	2009-11-13 00:56:59 +0000
@@ -95,7 +95,7 @@
 create table t2
 (
 name_id int not null auto_increment,
-name char(255) binary,
+name char(255),
 INDEX name_idx (name(5)),
 primary key (name_id)
 );

=== modified file 'tests/r/mix2_myisam.result'
--- tests/r/mix2_myisam.result	2009-08-24 18:48:20 +0000
+++ tests/r/mix2_myisam.result	2009-11-13 00:56:59 +0000
@@ -331,9 +331,9 @@
 drop table t1,t2;
 create TEMPORARY table t1 (
 id int NOT NULL auto_increment,
-ggid varchar(32) binary DEFAULT '' NOT NULL,
+ggid varchar(32) DEFAULT '' NOT NULL,
 email varchar(64) DEFAULT '' NOT NULL,
-passwd varchar(32) binary DEFAULT '' NOT NULL,
+passwd varchar(32) DEFAULT '' NOT NULL,
 PRIMARY KEY (id),
 UNIQUE ggid (ggid)
 ) ENGINE=MyISAM;

=== modified file 'tests/r/select.result'
--- tests/r/select.result	2009-08-18 07:19:56 +0000
+++ tests/r/select.result	2009-11-13 00:56:59 +0000
@@ -1963,7 +1963,7 @@
 SELECT 1 as rnd1 from t1 where rand() > 2;
 rnd1
 DROP TABLE t1;
-CREATE TEMPORARY TABLE t1 (gvid int default NULL,  hmid int default NULL,  volid int default NULL,  mmid int default NULL,  hdid int default NULL,  fsid int default NULL,  ctid int default NULL,  dtid int default NULL,  cost int default NULL,  performance int default NULL,  serialnumber bigint default NULL,  monitored int default '1',  removed int default '0',  target int default '0',  dt_modified timestamp NOT NULL,  name varchar(255) binary default NULL,  description varchar(255) default NULL,  UNIQUE KEY hmid (hmid,volid)) ENGINE=MyISAM;
+CREATE TEMPORARY TABLE t1 (gvid int default NULL,  hmid int default NULL,  volid int default NULL,  mmid int default NULL,  hdid int default NULL,  fsid int default NULL,  ctid int default NULL,  dtid int default NULL,  cost int default NULL,  performance int default NULL,  serialnumber bigint default NULL,  monitored int default '1',  removed int default '0',  target int default '0',  dt_modified timestamp NOT NULL,  name varchar(255) default NULL,  description varchar(255) default NULL,  UNIQUE KEY hmid (hmid,volid)) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (200001,2,1,1,100,1,1,1,0,0,0,1,0,1,20020425060057,'\\\\ARKIVIO-TESTPDC\\E$',''),(200002,2,2,1,101,1,1,1,0,0,0,1,0,1,20020425060057,'\\\\ARKIVIO-TESTPDC\\C$',''),(200003,1,3,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,20020425060427,'c:',NULL);
 CREATE TEMPORARY TABLE t2 (  hmid int default NULL,  volid int default NULL,  sampletid int default NULL,  sampletime datetime default NULL,  samplevalue bigint default NULL,  KEY idx1 (hmid,volid,sampletid,sampletime)) ENGINE=MyISAM;
 INSERT INTO t2 VALUES (1,3,10,'2002-06-01 08:00:00',35),(1,3,1010,'2002-06-01 12:00:01',35);

=== modified file 'tests/r/subselect2.result'
--- tests/r/subselect2.result	2009-07-28 17:52:18 +0000
+++ tests/r/subselect2.result	2009-11-13 00:56:59 +0000
@@ -1,15 +1,15 @@
 drop table if exists t1, t2, t3, t4;
 CREATE TABLE t1
 (
-DOCID VARCHAR(32)BINARY NOT NULL
-, UUID VARCHAR(32)BINARY NOT NULL DEFAULT ""
-, MIMETYPE VARCHAR(80)BINARY
+DOCID VARCHAR(32) NOT NULL
+, UUID VARCHAR(32) NOT NULL DEFAULT ""
+, MIMETYPE VARCHAR(80)
 , CONTENTDATA LONGBLOB
 , CONTENTSIZE INTEGER
 , VERSIONID INTEGER
-, REPID VARCHAR(32)BINARY
+, REPID VARCHAR(32)
 , MODIFIED TIMESTAMP
-, MODIFIER VARCHAR(255)BINARY
+, MODIFIER VARCHAR(255)
 , ORIGINATOR INTEGER
 , PRIMARY KEY ( DOCID )
 ) ENGINE=InnoDB
@@ -17,23 +17,23 @@
 INSERT INTO t1 (DOCID) VALUES ("1"), ("2");
 CREATE TABLE t2
 (
-DOCID VARCHAR(32)BINARY NOT NULL
-, DOCNAME VARCHAR(255)BINARY NOT NULL
-, DOCTYPEID VARCHAR(32)BINARY NOT NULL
-, FOLDERID VARCHAR(32)BINARY NOT NULL
-, AUTHOR VARCHAR(255)BINARY
+DOCID VARCHAR(32) NOT NULL
+, DOCNAME VARCHAR(255) NOT NULL
+, DOCTYPEID VARCHAR(32) NOT NULL
+, FOLDERID VARCHAR(32) NOT NULL
+, AUTHOR VARCHAR(255)
 , CREATED TIMESTAMP NOT NULL
-, TITLE VARCHAR(255)BINARY
-, SUBTITLE VARCHAR(255)BINARY
+, TITLE VARCHAR(255)
+, SUBTITLE VARCHAR(255)
 , DOCABSTRACT LONGBLOB
 , PUBLISHDATE TIMESTAMP
 , EXPIRATIONDATE TIMESTAMP
-, LOCKEDBY VARCHAR(80)BINARY
-, STATUS VARCHAR(80)BINARY
-, PARENTDOCID VARCHAR(32)BINARY
-, REPID VARCHAR(32)BINARY
+, LOCKEDBY VARCHAR(80)
+, STATUS VARCHAR(80)
+, PARENTDOCID VARCHAR(32)
+, REPID VARCHAR(32)
 , MODIFIED TIMESTAMP
-, MODIFIER VARCHAR(255) BINARY NOT NULL
+, MODIFIER VARCHAR(255)  NOT NULL
 , PUBLISHSTATUS INTEGER
 , ORIGINATOR INTEGER
 , PRIMARY KEY ( DOCID )
@@ -43,17 +43,17 @@
 CREATE INDEX DFOLDERID_IDX ON t2 (FOLDERID);
 CREATE TABLE t3
 (
-FOLDERID VARCHAR(32)BINARY NOT NULL
-, FOLDERNAME VARCHAR(255)BINARY NOT NULL
-, CREATOR VARCHAR(255)BINARY
+FOLDERID VARCHAR(32) NOT NULL
+, FOLDERNAME VARCHAR(255) NOT NULL
+, CREATOR VARCHAR(255)
 , CREATED TIMESTAMP NOT NULL
-, DESCRIPTION VARCHAR(255)BINARY
+, DESCRIPTION VARCHAR(255)
 , FOLDERTYPE INTEGER NOT NULL
 , MODIFIED TIMESTAMP
-, MODIFIER VARCHAR(255)BINARY
+, MODIFIER VARCHAR(255)
 , FOLDERSIZE INTEGER NOT NULL
-, PARENTID VARCHAR(32)BINARY
-, REPID VARCHAR(32)BINARY
+, PARENTID VARCHAR(32)
+, REPID VARCHAR(32)
 , ORIGINATOR INTEGER
 , PRIMARY KEY ( FOLDERID )
 ) ENGINE=InnoDB;
@@ -61,12 +61,12 @@
 CREATE INDEX CMFLDRPARNT_IDX ON t3 (PARENTID);
 CREATE TABLE t4
 (
-DOCTYPEID VARCHAR(32)BINARY NOT NULL
-, DOCTYPENAME VARCHAR(80)BINARY NOT NULL
-, DESCRIPTION VARCHAR(255)BINARY
+DOCTYPEID VARCHAR(32) NOT NULL
+, DOCTYPENAME VARCHAR(80) NOT NULL
+, DESCRIPTION VARCHAR(255)
 , EXTNDATA LONGBLOB
 , MODIFIED TIMESTAMP
-, MODIFIER VARCHAR(255)BINARY
+, MODIFIER VARCHAR(255)
 , ORIGINATOR INTEGER
 , PRIMARY KEY ( DOCTYPEID )
 ) ENGINE=InnoDB;

=== modified file 'tests/r/subselect_innodb.result'
--- tests/r/subselect_innodb.result	2009-06-16 01:13:15 +0000
+++ tests/r/subselect_innodb.result	2009-11-13 00:56:59 +0000
@@ -1,17 +1,17 @@
 drop table if exists t1,t2,t3;
 CREATE TABLE t1
 (
-FOLDERID VARCHAR(32)BINARY NOT NULL
-, FOLDERNAME VARCHAR(255)BINARY NOT NULL
-, CREATOR VARCHAR(255)BINARY
+FOLDERID VARCHAR(32) NOT NULL
+, FOLDERNAME VARCHAR(255) NOT NULL
+, CREATOR VARCHAR(255)
 , CREATED TIMESTAMP NOT NULL
-, DESCRIPTION VARCHAR(255)BINARY
+, DESCRIPTION VARCHAR(255)
 , FOLDERTYPE INTEGER NOT NULL
 , MODIFIED TIMESTAMP
-, MODIFIER VARCHAR(255)BINARY
+, MODIFIER VARCHAR(255)
 , FOLDERSIZE INTEGER NOT NULL
-, PARENTID VARCHAR(32)BINARY
-, REPID VARCHAR(32)BINARY
+, PARENTID VARCHAR(32)
+, REPID VARCHAR(32)
 , ORIGINATOR INTEGER
 , PRIMARY KEY ( FOLDERID )
 ) ENGINE=InnoDB;

=== modified file 'tests/t/alter_table.test'
--- tests/t/alter_table.test	2009-06-16 00:53:22 +0000
+++ tests/t/alter_table.test	2009-11-13 00:56:59 +0000
@@ -156,8 +156,8 @@
 #
 
 CREATE TEMPORARY TABLE t1 (
-  Host varchar(16) binary NOT NULL default '',
-  User varchar(16) binary NOT NULL default '',
+  Host varchar(16) NOT NULL default '',
+  User varchar(16) NOT NULL default '',
   PRIMARY KEY  (Host,User),
   KEY  (Host)
 ) ENGINE=MyISAM;
@@ -574,10 +574,10 @@
 # Bug#18038  MySQL server corrupts binary columns data
 #
 
-CREATE TABLE t1 (s CHAR(8) BINARY);
+CREATE TABLE t1 (s CHAR(8));
 INSERT INTO t1 VALUES ('test');
 SELECT LENGTH(s) FROM t1;
-ALTER TABLE t1 MODIFY s CHAR(10) BINARY;
+ALTER TABLE t1 MODIFY s CHAR(10);
 SELECT LENGTH(s) FROM t1;
 DROP TABLE t1;
 

=== modified file 'tests/t/binary.test'
--- tests/t/binary.test	2009-03-25 09:18:25 +0000
+++ tests/t/binary.test	2009-11-13 00:56:59 +0000
@@ -29,7 +29,7 @@
 # Test of binary and normal strings
 #
 
-create table t1 (a char(10) not null, b char(10) binary not null,key (a), key(b));
+create table t1 (a char(10) not null, b char(10) not null,key (a), key(b));
 insert into t1 values ("hello ","hello "),("hello2 ","hello2 ");
 select concat("-",a,"-",b,"-") from t1 where a="hello";
 select concat("-",a,"-",b,"-") from t1 where a="hello ";
@@ -57,7 +57,7 @@
 #
 # Test of binary and upper/lower
 #
-create table t1 (a char(3) binary, b varbinary(3));
+create table t1 (a char(3), b varbinary(3));
 insert into t1 values ('aaa','bbb'),('AAA','BBB');
 select upper(a),upper(b) from t1;
 select lower(a),lower(b) from t1;

=== modified file 'tests/t/cast.test'
--- tests/t/cast.test	2009-02-21 16:00:06 +0000
+++ tests/t/cast.test	2009-11-13 00:56:59 +0000
@@ -129,9 +129,7 @@
 #
 # Bug #17903: cast to char results in binary
 #
-select hex(cast('a' as char(2) binary));
 select hex(cast('a' as binary(2)));
-select hex(cast('a' as char(2) binary));
 
 
 #

=== modified file 'tests/t/ctype_utf8.test'
--- tests/t/ctype_utf8.test	2009-07-31 23:20:14 +0000
+++ tests/t/ctype_utf8.test	2009-11-13 00:56:59 +0000
@@ -386,7 +386,7 @@
 #
 # Bug #5397: Crash with varchar binary and LIKE
 #
-CREATE TABLE t1 (a varchar(32) BINARY);
+CREATE TABLE t1 (a varchar(32));
 INSERT INTO t1 VALUES ('test');
 SELECT a FROM t1 WHERE a LIKE '%te';
 DROP TABLE t1;

=== modified file 'tests/t/delete.test'
--- tests/t/delete.test	2009-08-03 23:01:21 +0000
+++ tests/t/delete.test	2009-11-13 00:56:59 +0000
@@ -71,7 +71,7 @@
 
 CREATE TEMPORARY TABLE t1 (
   bool     char(0) default NULL,
-  not_null varchar(20) binary NOT NULL default '',
+  not_null varchar(20) NOT NULL default '',
   misc     integer not null,
   PRIMARY KEY  (not_null)
 ) ENGINE=MyISAM;

=== modified file 'tests/t/endspace.test'
--- tests/t/endspace.test	2009-08-17 06:21:44 +0000
+++ tests/t/endspace.test	2009-11-13 00:56:59 +0000
@@ -23,14 +23,14 @@
 select * from t1 order by text1;
 explain select * from t1 order by text1;
 
-alter table t1 modify text1 char(32) binary not null;
+alter table t1 modify text1 char(32) not null;
 check table t1;
 select * from t1 ignore key (key1) where text1='teststring' or 
   text1 like 'teststring_%' ORDER BY text1;
 select concat('|', text1, '|') from t1 where text1='teststring' or text1 like 'teststring_%';
 select concat('|', text1, '|') from t1 where text1='teststring' or text1 > 'teststring\t';
 select text1, length(text1) from t1 order by text1;
-select text1, length(text1) from t1 order by binary text1;
+select text1, length(text1) from t1 order by text1;
 
 alter table t1 modify text1 blob not null, drop key key1, add key key1 (text1(20));
 insert into t1 values ('teststring ');
@@ -66,7 +66,7 @@
 select * from t1 order by text1;
 explain select * from t1 order by text1;
 
-alter table t1 modify text1 char(32) binary not null;
+alter table t1 modify text1 char(32) not null;
 select * from t1 order by text1;
 drop table t1;
 
@@ -82,7 +82,7 @@
 select * from t1 order by text1;
 explain select * from t1 order by text1;
 
-alter table t1 modify text1 char(32) binary not null;
+alter table t1 modify text1 char(32) not null;
 select * from t1 order by text1;
 
 alter table t1 modify text1 blob not null, drop key key1, add key key1 (text1(20));

=== modified file 'tests/t/func_test.test'
--- tests/t/func_test.test	2009-06-16 00:53:22 +0000
+++ tests/t/func_test.test	2009-11-13 00:56:59 +0000
@@ -37,9 +37,9 @@
 #
 # Test for LEAST() BUG in LEFT JOIN
 #
-CREATE TABLE t1 (   faq_group_id int NOT NULL default '0',   faq_id int NOT NULL default '0',   title varchar(240) default NULL,   keywords text,   description longblob,   solution longblob,   status int NOT NULL default '0',   access_id int default NULL,   lang_id int NOT NULL default '0',   created datetime NULL,   updated datetime default NULL,   last_access datetime default NULL,   last_notify datetime default NULL,   solved_count int NOT NULL default '0',   static_solved int default NULL,   solved_1 int default NULL,   solved_2 int default NULL,   solved_3 int default NULL,   solved_4 int default NULL,   solved_5 int default NULL,   expires datetime default NULL,   notes text,   assigned_to int default NULL,   assigned_group int default NULL,   last_edited_by int default NULL,   orig_ref_no varchar(15) binary default NULL,   c$fundstate int default NULL,   c$contributor int default NULL,   UNIQUE KEY t1$faq_id (faq_id),   KEY t1$group_id$faq_id (faq_group_id,faq_id),   KEY t1$c$fundstate (c$fundstate) );
+CREATE TABLE t1 (   faq_group_id int NOT NULL default '0',   faq_id int NOT NULL default '0',   title varchar(240) default NULL,   keywords text,   description longblob,   solution longblob,   status int NOT NULL default '0',   access_id int default NULL,   lang_id int NOT NULL default '0',   created datetime NULL,   updated datetime default NULL,   last_access datetime default NULL,   last_notify datetime default NULL,   solved_count int NOT NULL default '0',   static_solved int default NULL,   solved_1 int default NULL,   solved_2 int default NULL,   solved_3 int default NULL,   solved_4 int default NULL,   solved_5 int default NULL,   expires datetime default NULL,   notes text,   assigned_to int default NULL,   assigned_group int default NULL,   last_edited_by int default NULL,   orig_ref_no varchar(15) default NULL,   c$fundstate int default NULL,   c$contributor int default NULL,   UNIQUE KEY t1$faq_id (faq_id),   KEY t1$group_id$faq_id (faq_group_id,faq_id),   KEY t1$c$fundstate (c$fundstate) );
 INSERT INTO t1 VALUES (82,82,'How to use the DynaVox Usage Counts Feature','usages count, number, corner, white, box, button','<as-html>\r\n<table width=\"100%\" border=\"0\">\r\n  <tr>\r\n    <td width=\"3%\"></td>\r\n    <td width=\"97%\">\r\n       <h3><font face=\"Verdana, Arial, Helvetica, sans-serif\" color=\"#000000\">How \r\n        To</font><!-- #BeginEditable \"CS_troubleshoot_question\" --><font face=\"Verdana, Arial, Helvetica, sans-serif\" color=\"#000099\"><font color=\"#000000\">: \r\n        Display or Hide the Usage Counts to find out how many times each button is being selected. </font></font><!-- #EndEditable --></h3>\r\n    </td>\r\n  </tr>\r\n</table>','<as-html>\r\n <table width=\"100%\" border=\"0\">\r\n  <tr>\r\n    <td width=\"3%\"></td>\r\n    \r\n<td width=\"97%\"><!-- #BeginEditable \"CS_troubleshoot_answer\" --> \r\n      \r\n<p><font color=\"#000000\" face=\"Verdana, Arial, Helvetica, sans-serif\">1. Select \r\n  the <i>On/Setup</i> button to access the DynaVox Setup Menu.<br>\r\n  2. Select <b>Button Features.</b><br>\r\n  3. Below the <b>OK</b> button is the <b>Usage Counts</b> button.<br>\r\n  a. If it says \"Hidden\" then the Usage Counts will not be displayed.<br>\r\n  b. If it says \"Displayed\" then the Usage Counts will be shown.<br>\r\n        c. Select the <b>Usage Counts</b> Option Ring once and it will toggle \r\n        to the alternative option.<br>\r\n  4. Once the correct setting has been chosen, select <b>OK</b> to leave the <i>Button \r\n  Features</i> menu.<br>\r\n  5. Select <b>OK</b> out of the <i>Setup</i> menu and return to the communication \r\n  page.</font></p>\r\n      <p><font color=\"#000000\" face=\"Verdana, Arial, Helvetica, sans-serif\">For \r\n        further information on <i>Usage Counts,</i> see the <i>Button Features \r\n        Menu Entry</i> in the DynaVox/DynaMyte Reference Manual.</font></p>\r\n<!-- #EndEditable --></td>\r\n  </tr>\r\n</table>',4,1,1,'2001-11-16 16:43:34','2002-11-25 12:09:43','2003-07-24 01:04:48',NULL,11,NULL,0,0,0,0,0,NULL,NULL,NULL,NULL,11,NULL,NULL,NULL);
-CREATE TABLE t2 (  access_id int NOT NULL default '0',   name varchar(20) binary default NULL,   rank int NOT NULL default '0',   KEY t2$access_id (access_id) );
+CREATE TABLE t2 (  access_id int NOT NULL default '0',   name varchar(20) default NULL,   rank int NOT NULL default '0',   KEY t2$access_id (access_id) );
 INSERT INTO t2 VALUES (1,'Everyone',2),(2,'Help',3),(3,'Customer Support',1);
 SELECT f_acc.rank, a1.rank, a2.rank  FROM t1 LEFT JOIN t1 f1 ON  (f1.access_id=1 AND f1.faq_group_id = t1.faq_group_id) LEFT JOIN t2 a1 ON (a1.access_id =  f1.access_id) LEFT JOIN t1 f2 ON (f2.access_id=3 AND  f2.faq_group_id = t1.faq_group_id) LEFT  JOIN t2 a2 ON (a2.access_id = f2.access_id), t2 f_acc WHERE LEAST(a1.rank,a2.rank) =  f_acc.rank;
 DROP TABLE t1,t2;

=== modified file 'tests/t/group_by.test'
--- tests/t/group_by.test	2009-06-16 00:44:55 +0000
+++ tests/t/group_by.test	2009-11-13 00:56:59 +0000
@@ -70,7 +70,7 @@
   operator int,
   method enum('unknown','cash','dealer','check','card','lazy','delayed','test') DEFAULT 'unknown' NOT NULL,
   DIID int,
-  reason char(1) binary DEFAULT '' NOT NULL,
+  reason char(1) DEFAULT '' NOT NULL,
   code_id int,
   qty int DEFAULT '0' NOT NULL,
   PRIMARY KEY (PID),
@@ -283,17 +283,17 @@
 INSERT INTO t1 VALUES ('A'),('B'),('A'),('B'),('A'),('B'),(NULL),('a'),('b'),(NULL),('A'),('B'),(NULL);
 SELECT a FROM t1 GROUP BY a;
 SELECT a,count(*) FROM t1 GROUP BY a;
-SELECT a FROM t1 GROUP BY binary a;
-SELECT a,count(*) FROM t1 GROUP BY binary a;
-SELECT binary a FROM t1 GROUP BY 1;
-SELECT binary a,count(*) FROM t1 GROUP BY 1;
+SELECT a FROM t1 GROUP BY a;
+SELECT a,count(*) FROM t1 GROUP BY a;
+SELECT a FROM t1 GROUP BY 1;
+SELECT a,count(*) FROM t1 GROUP BY 1;
 # Do the same tests with MyISAM temporary tables
 SELECT a FROM t1 GROUP BY a;
 SELECT a,count(*) FROM t1 GROUP BY a;
-SELECT a FROM t1 GROUP BY binary a;
-SELECT a,count(*) FROM t1 GROUP BY binary a;
-SELECT binary a FROM t1 GROUP BY 1;
-SELECT binary a,count(*) FROM t1 GROUP BY 1;
+SELECT a FROM t1 GROUP BY a;
+SELECT a,count(*) FROM t1 GROUP BY a;
+SELECT a FROM t1 GROUP BY 1;
+SELECT a,count(*) FROM t1 GROUP BY 1;
 drop table t1;
 
 #

=== modified file 'tests/t/innodb.test'
--- tests/t/innodb.test	2009-08-17 04:43:24 +0000
+++ tests/t/innodb.test	2009-11-13 00:56:59 +0000
@@ -1425,8 +1425,8 @@
 # test the padding of BINARY types and collations (Bug #14189)
 
 create table t1 (s1 varbinary(2),primary key (s1)) engine=innodb;
-create table t3 (s1 varchar(2) binary,primary key (s1)) engine=innodb;
-create table t4 (s1 char(2) binary,primary key (s1)) engine=innodb;
+create table t3 (s1 varchar(2) ,primary key (s1)) engine=innodb;
+create table t4 (s1 char(2) ,primary key (s1)) engine=innodb;
 
 insert into t1 values (0x41),(0x4120),(0x4100);
 -- error ER_DUP_ENTRY
@@ -1470,8 +1470,8 @@
 
 drop table t2,t1;
 
-create table t1 (a int primary key,s1 varchar(2) binary not null unique) engine=innodb;
-create table t2 (s1 char(2) binary not null, constraint c foreign key(s1) references t1(s1) on update cascade) engine=innodb;
+create table t1 (a int primary key,s1 varchar(2) not null unique) engine=innodb;
+create table t2 (s1 char(2) not null, constraint c foreign key(s1) references t1(s1) on update cascade) engine=innodb;
 
 insert into t1 values(1,0x4100),(2,0x41);
 insert into t2 values(0x41);

=== modified file 'tests/t/innodb_autoinc_lock_mode_zero.test'
--- tests/t/innodb_autoinc_lock_mode_zero.test	2008-12-06 22:41:03 +0000
+++ tests/t/innodb_autoinc_lock_mode_zero.test	2009-11-13 00:56:59 +0000
@@ -14,9 +14,9 @@
 
 CREATE TABLE t1 (
   id int NOT NULL auto_increment,
-  ggid varchar(32) binary DEFAULT '' NOT NULL,
+  ggid varchar(32) DEFAULT '' NOT NULL,
   email varchar(64) DEFAULT '' NOT NULL,
-  passwd varchar(32) binary DEFAULT '' NOT NULL,
+  passwd varchar(32) DEFAULT '' NOT NULL,
   PRIMARY KEY (id),
   UNIQUE ggid (ggid)
 ) ENGINE=innodb;

=== modified file 'tests/t/key.test'
--- tests/t/key.test	2009-06-16 03:57:56 +0000
+++ tests/t/key.test	2009-11-13 00:56:59 +0000
@@ -122,7 +122,7 @@
 create table t2
 (
   name_id int not null auto_increment,
-  name char(255) binary,
+  name char(255),
   INDEX name_idx (name(5)),
   primary key (name_id)
 );

=== modified file 'tests/t/select.test'
--- tests/t/select.test	2009-08-18 07:19:56 +0000
+++ tests/t/select.test	2009-11-13 00:56:59 +0000
@@ -1790,7 +1790,7 @@
 # Test of bug with SUM(CASE...)
 #
 
-CREATE TEMPORARY TABLE t1 (gvid int default NULL,  hmid int default NULL,  volid int default NULL,  mmid int default NULL,  hdid int default NULL,  fsid int default NULL,  ctid int default NULL,  dtid int default NULL,  cost int default NULL,  performance int default NULL,  serialnumber bigint default NULL,  monitored int default '1',  removed int default '0',  target int default '0',  dt_modified timestamp NOT NULL,  name varchar(255) binary default NULL,  description varchar(255) default NULL,  UNIQUE KEY hmid (hmid,volid)) ENGINE=MyISAM;
+CREATE TEMPORARY TABLE t1 (gvid int default NULL,  hmid int default NULL,  volid int default NULL,  mmid int default NULL,  hdid int default NULL,  fsid int default NULL,  ctid int default NULL,  dtid int default NULL,  cost int default NULL,  performance int default NULL,  serialnumber bigint default NULL,  monitored int default '1',  removed int default '0',  target int default '0',  dt_modified timestamp NOT NULL,  name varchar(255) default NULL,  description varchar(255) default NULL,  UNIQUE KEY hmid (hmid,volid)) ENGINE=MyISAM;
 INSERT INTO t1 VALUES (200001,2,1,1,100,1,1,1,0,0,0,1,0,1,20020425060057,'\\\\ARKIVIO-TESTPDC\\E$',''),(200002,2,2,1,101,1,1,1,0,0,0,1,0,1,20020425060057,'\\\\ARKIVIO-TESTPDC\\C$',''),(200003,1,3,2,NULL,NULL,NULL,NULL,NULL,NULL,NULL,1,0,1,20020425060427,'c:',NULL);
 CREATE TEMPORARY TABLE t2 (  hmid int default NULL,  volid int default NULL,  sampletid int default NULL,  sampletime datetime default NULL,  samplevalue bigint default NULL,  KEY idx1 (hmid,volid,sampletid,sampletime)) ENGINE=MyISAM;
 INSERT INTO t2 VALUES (1,3,10,'2002-06-01 08:00:00',35),(1,3,1010,'2002-06-01 12:00:01',35);

=== modified file 'tests/t/subselect2.test'
--- tests/t/subselect2.test	2009-02-28 20:43:31 +0000
+++ tests/t/subselect2.test	2009-11-13 00:56:59 +0000
@@ -10,15 +10,15 @@
 
 CREATE TABLE t1
 (
-DOCID VARCHAR(32)BINARY NOT NULL
-, UUID VARCHAR(32)BINARY NOT NULL DEFAULT ""
-, MIMETYPE VARCHAR(80)BINARY
+DOCID VARCHAR(32) NOT NULL
+, UUID VARCHAR(32) NOT NULL DEFAULT ""
+, MIMETYPE VARCHAR(80)
 , CONTENTDATA LONGBLOB
 , CONTENTSIZE INTEGER
 , VERSIONID INTEGER
-, REPID VARCHAR(32)BINARY
+, REPID VARCHAR(32)
 , MODIFIED TIMESTAMP
-, MODIFIER VARCHAR(255)BINARY
+, MODIFIER VARCHAR(255)
 , ORIGINATOR INTEGER
 
 , PRIMARY KEY ( DOCID )
@@ -29,23 +29,23 @@
 
 CREATE TABLE t2
 (
-DOCID VARCHAR(32)BINARY NOT NULL
-, DOCNAME VARCHAR(255)BINARY NOT NULL
-, DOCTYPEID VARCHAR(32)BINARY NOT NULL
-, FOLDERID VARCHAR(32)BINARY NOT NULL
-, AUTHOR VARCHAR(255)BINARY
+DOCID VARCHAR(32) NOT NULL
+, DOCNAME VARCHAR(255) NOT NULL
+, DOCTYPEID VARCHAR(32) NOT NULL
+, FOLDERID VARCHAR(32) NOT NULL
+, AUTHOR VARCHAR(255)
 , CREATED TIMESTAMP NOT NULL
-, TITLE VARCHAR(255)BINARY
-, SUBTITLE VARCHAR(255)BINARY
+, TITLE VARCHAR(255)
+, SUBTITLE VARCHAR(255)
 , DOCABSTRACT LONGBLOB
 , PUBLISHDATE TIMESTAMP
 , EXPIRATIONDATE TIMESTAMP
-, LOCKEDBY VARCHAR(80)BINARY
-, STATUS VARCHAR(80)BINARY
-, PARENTDOCID VARCHAR(32)BINARY
-, REPID VARCHAR(32)BINARY
+, LOCKEDBY VARCHAR(80)
+, STATUS VARCHAR(80)
+, PARENTDOCID VARCHAR(32)
+, REPID VARCHAR(32)
 , MODIFIED TIMESTAMP
-, MODIFIER VARCHAR(255) BINARY NOT NULL
+, MODIFIER VARCHAR(255)  NOT NULL
 , PUBLISHSTATUS INTEGER
 , ORIGINATOR INTEGER
 
@@ -56,19 +56,18 @@
 CREATE INDEX DFOLDERID_IDX ON t2 (FOLDERID);
 CREATE TABLE t3
 (
-FOLDERID VARCHAR(32)BINARY NOT NULL
-, FOLDERNAME VARCHAR(255)BINARY NOT NULL
-, CREATOR VARCHAR(255)BINARY
+FOLDERID VARCHAR(32) NOT NULL
+, FOLDERNAME VARCHAR(255) NOT NULL
+, CREATOR VARCHAR(255)
 , CREATED TIMESTAMP NOT NULL
-, DESCRIPTION VARCHAR(255)BINARY
+, DESCRIPTION VARCHAR(255)
 , FOLDERTYPE INTEGER NOT NULL
 , MODIFIED TIMESTAMP
-, MODIFIER VARCHAR(255)BINARY
+, MODIFIER VARCHAR(255)
 , FOLDERSIZE INTEGER NOT NULL
-, PARENTID VARCHAR(32)BINARY
-, REPID VARCHAR(32)BINARY
+, PARENTID VARCHAR(32)
+, REPID VARCHAR(32)
 , ORIGINATOR INTEGER
-
 , PRIMARY KEY ( FOLDERID )
 ) ENGINE=InnoDB;
 
@@ -77,12 +76,12 @@
 
 CREATE TABLE t4
 (
-DOCTYPEID VARCHAR(32)BINARY NOT NULL
-, DOCTYPENAME VARCHAR(80)BINARY NOT NULL
-, DESCRIPTION VARCHAR(255)BINARY
+DOCTYPEID VARCHAR(32) NOT NULL
+, DOCTYPENAME VARCHAR(80) NOT NULL
+, DESCRIPTION VARCHAR(255)
 , EXTNDATA LONGBLOB
 , MODIFIED TIMESTAMP
-, MODIFIER VARCHAR(255)BINARY
+, MODIFIER VARCHAR(255)
 , ORIGINATOR INTEGER
 
 , PRIMARY KEY ( DOCTYPEID )

=== modified file 'tests/t/subselect_innodb.test'
--- tests/t/subselect_innodb.test	2009-06-16 01:13:15 +0000
+++ tests/t/subselect_innodb.test	2009-11-13 00:56:59 +0000
@@ -9,19 +9,18 @@
 #
 CREATE TABLE t1
 (
-FOLDERID VARCHAR(32)BINARY NOT NULL
-, FOLDERNAME VARCHAR(255)BINARY NOT NULL
-, CREATOR VARCHAR(255)BINARY
+FOLDERID VARCHAR(32) NOT NULL
+, FOLDERNAME VARCHAR(255) NOT NULL
+, CREATOR VARCHAR(255)
 , CREATED TIMESTAMP NOT NULL
-, DESCRIPTION VARCHAR(255)BINARY
+, DESCRIPTION VARCHAR(255)
 , FOLDERTYPE INTEGER NOT NULL
 , MODIFIED TIMESTAMP
-, MODIFIER VARCHAR(255)BINARY
+, MODIFIER VARCHAR(255)
 , FOLDERSIZE INTEGER NOT NULL
-, PARENTID VARCHAR(32)BINARY
-, REPID VARCHAR(32)BINARY
+, PARENTID VARCHAR(32)
+, REPID VARCHAR(32)
 , ORIGINATOR INTEGER
-
 , PRIMARY KEY ( FOLDERID )
 ) ENGINE=InnoDB;
 CREATE INDEX FFOLDERID_IDX ON t1 (FOLDERID);

